## org.eclipse.jet
Class CoreJETException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jet.CoreJETException

All Implemented Interfaces:
  java.io.Serializable

    public class CoreJETException

extends java.lang.Exception

An exception that represents

See Also:
  Serialized Form

Constructor Summary
`CoreJETException(org.eclipse.emf.common.util.Diagnostic diagnostic)`

Method Summary
`org.eclipse.emf.common.util.Diagnostic` `getDiagnostic()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoreJETException

    public CoreJETException(org.eclipse.emf.common.util.Diagnostic diagnostic)

Method Detail

### getDiagnostic

    public final org.eclipse.emf.common.util.Diagnostic getDiagnostic()

  Returns:
    Returns the diagnostic.

Copyright 2006 IBM Corporation and others. All Rights Reserved.